LightScribe Returns…

At last LightScribe.com has returned to supporting LightScribe with new updates to the 9 month old System Software as well as other new updates.

The System Software is of course the most crucial as up until now Windows 8 was not ‘officially’ supported.

As of 14 March 2013 that has changed… We now have:

LIGHTSCRIBE SYSTEM SOFTWARE – for Windows (8/7/Vista/XP/2K)
With one proviso…
.
File name LS_Update_1.18.27.10_.exe
File size 11.7 MB
Revision 1.18.27.10
Release Date March 14, 2013
Notes Windows 8 OS classic (non-Metro UI)
Requirements LightScribe enabled drive, media, and labeling software also needed.
.
But this is a welcome update that will calm the hearts of LightScribe enthusiasts who have been anticipating problems migrating to a Windows 8 setup…
Thanks you LightScribe (HP) for staying with us… (Your loyal fans… 🙂 ) and continuing to update this necessary software.
There are new versions (updates) for all the free software :

LightScribe for Windows

The Simple Labeler

.
File name LightScribeSimpleLabeler_1.18.27.10.exe
File size 21.6 MB
Revision 1.18.27.10
Release Date March 14, 2013
Notes Supported Windows platform are 8, 7, Vista and XP.
Supported Languages Chinese Simplified, Chinese Traditional, Czech, Danish, Dutch, English, Finnish, French, German, Greek, Italian, Japanese, Korean, Norwegian, Polish, Portuguese (Brazilian), Russian, Slovak, Spanish, Swedish, Turkish
Requirements LightScribe System Software (LSS) must also be installed. The version numbers do not need to match.
.

The Template Labeler

.
File name LightScribeTemplateLabeler_1.18.27.10.exe
File size 10.8 MB
Revision 1.18.27.10
Release Date March 14, 2013
Notes Supported Windows platforms are 8, 7, Vista and XP.
Supported Languages Arabic, Basque, Catalan, Chinese Simplified, Chinese Traditional, Czech, Danish, Dutch, English, Finnish, French, Galician, German, Greek, Hebrew, Italian, Japanese, Korean, Norwegian, Polish, Portuguese (Brazilian), Portuguese (European), Russian, Slovak, Spanish, Swedish, Turkish
Requirements LightScribe System Software (LSS) version 1.18.5.1 or newer must also be installed. The LSS and Template Labeler versions don’t need to match.

.

LightScribe for Mac

.

System Software

.
File name lightscribe_1.18.27.10.pkg.tar
File size 1.52 MB
Revision 1.18.27.10
Release Date March 14, 2013
Notes New drive support.
Requirements OSX 10.3.9 or newer. LightScribe Enabled drive and media. LightScribe Labeling Software.
.
.
Here is to a bright LightScribe future… 🙂
Steve Nelson